Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class UrlImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.contact.UrlImpl

public class UrlImpl
extends BelongingImpl
implements Url

The components of Universal Resource Locator object and an accompanying description.

See Also:
  `Url`, `UrlHome`, Serialized Form

Field Summary
`java.lang.String` | `description` description [Url] <*>------> [`String`]
`java.lang.String` | `value` value [Url] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`UrlImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getDescription()` Get the value of description
`java.lang.String` | `getValue()` Get the value of value
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setValue(java.lang.String value)` Set the value of value
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    public java.lang.String description

                        description
       [Url] <*>------> [String]

### value

    public java.lang.String value

                        value
       [Url] <*>------> [String]

Constructor Detail

### UrlImpl

    public UrlImpl()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Get the value of description
  Specified by:
    getDescription in interface Url
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description
  Specified by:
    setDescription in interface Url
  Parameters:
    `description` - description to be added

### getValue

    public java.lang.String getValue()

  Get the value of value
  Specified by:
    getValue in interface Url
  Returns:
    value.

### setValue

    public void setValue(java.lang.String value)

  Set the value of value
  Specified by:
    setValue in interface Url
  Parameters:
    `value` - value to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.